Designer 4 not recognising Hollywood 7

Anything related to Hollywood Designer goes in here
User avatar
airsoftsoftwair
Posts: 2912
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: Designer 4 not recognising Hollywood 7

Post by airsoftsoftwair » Tue Sep 12, 2017 6:21 pm

Have you checked that the file that Designer complains about exists?

amyren
Posts: 19
Joined: Thu May 02, 2019 11:53 am

Re: Designer 4 not recognising Hollywood 7

Post by amyren » Fri May 03, 2019 7:01 pm

I have just installed HollyWood 8, and then Designer 4.0
On first launch of Designer, it shows "error when loading plugin "httpstreamer.hw"
This plugin requires at least Hollywood 6.0!

I guess this is an harmless error, same reason as described by airsoftwair regarding the APNG plugin?

amyren
Posts: 19
Joined: Thu May 02, 2019 11:53 am

Re: Designer 4 not recognising Hollywood 7

Post by amyren » Fri May 03, 2019 9:33 pm

amyren wrote:
Fri May 03, 2019 7:01 pm
I have just installed HollyWood 8, and then Designer 4.0
On first launch of Designer, it shows "error when loading plugin "httpstreamer.hw"
This plugin requires at least Hollywood 6.0!

I guess this is an harmless error, same reason as described by airsoftwair regarding the APNG plugin?
EDIT:
I did some further tests. And it apears that the issue only happens on an AmiKit XE betatest release.
On AmiKit X (v10.5.2) and AmiKit v8 Designer does work without errors.

User avatar
airsoftsoftwair
Posts: 2912
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: Designer 4 not recognising Hollywood 7

Post by airsoftsoftwair » Sat May 04, 2019 12:52 pm

This is because Designer 4 still has the Hollywood 5 plugin interface. That's why it'll report errors for all plugins which require a Hollywood version newer than 5.0. But the error is harmless.

amyren
Posts: 19
Joined: Thu May 02, 2019 11:53 am

Re: Designer 4 not recognising Hollywood 7

Post by amyren » Sat May 04, 2019 6:58 pm

There might be a more serious matter for some other plugins.
I found that if the polybios plugin is installed, then Designer 4.0 will not load at all. It will show the splash screen, and when it comes to loading the polybios plugin it will pop up a software failure message, and then the progress bar will stop and the program apear frozen.

Plugins that show this versions complaint are: zip, planarama, httpstreamer, hurl, glgalore and xad.

Rapagui and muiroyale will come up with errors without refering to version requirements. Just "Error while loading plugin xxxxxx: Error loading plugin xxxxxx!"

User avatar
airsoftsoftwair
Posts: 2912
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: Designer 4 not recognising Hollywood 7

Post by airsoftsoftwair » Sat May 04, 2019 7:11 pm

amyren wrote:
Sat May 04, 2019 6:58 pm
There might be a more serious matter for some other plugins.
I found that if the polybios plugin is installed, then Designer 4.0 will not load at all. It will show the splash screen, and when it comes to loading the polybios plugin it will pop up a software failure message, and then the progress bar will stop and the program apear frozen.
Yes, that's this issue: viewtopic.php?f=31&t=1977

Will be fixed with the next version of Polybios.

Post Reply